import { html as n } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, d = Object.getOwnPropertyDescriptor, c = (p, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? d(t, o) : t, i = p.length - 1, a; i >= 0; i--)
    (a = p[i]) && (e = (r ? a(t, o, e) : a(e)) || e);
  return r && e && m(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--dashboard", this.class = "c-pieIcon c-pieIcon--dashboard", this.name = "IconDashboard";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--dashboard"><path d="M14.781 9.75c-.001.9-.18 1.793-.525 2.625h-1.461a5.44 5.44 0 0 0 .306-4.585l.945-1.085a6.7 6.7 0 0 1 .735 3.045M8 4.28c.845 0 1.678.198 2.432.578l.875-1.015A6.773 6.773 0 0 0 1.22 9.75c.001.9.18 1.793.525 2.625h1.461A5.47 5.47 0 0 1 8 4.28m2.012 5.031a2.406 2.406 0 1 1-.988-.875L13.25 3.67l.989.875zm-1.242.543a1.076 1.076 0 0 0-1.54 0 1.085 1.085 0 1 0 1.54 0"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  f("icon-dashboard")
], s);
export {
  s as IconDashboard
};
